## exF-1.py
# AE3M33UI - Artificial Intellignece course, FEE CTU in Prague
#
# Exercise F-1: Regression and classification by a tree model

import numpy as np
from matplotlib.pyplot import *
from sklearn import tree, pipeline

from mpg import *
from plotting import *
from model_evaluation import *

## Load data for simple regression
print('\n== Regression model ==')
X,y = load_mpg_for_simple_regression('disp', 'hp')
plot_xy_data(X, y, xlbl='disp', ylbl='hp')

## Fit regression tree model for various max_depths
raise NotImplementedError
# <YOUR CODE HERE>
 

## Load 2D data for classification
print('\n=== Classification model ===\n')
X,y = load_mpg_for_classification(['disp','hp'])
figure()
plot_xy_classified_data(X[:,0], X[:,1], y, xlbl='disp', ylbl='hp')

## Fit a classification tree model, experiment with different max_depths
raise NotImplementedError
# <YOUR CODE HERE>